Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.io
Class DefaultIoFactory

    java.lang.Object
      org.gradle.api.io.DefaultIoFactory

All Implemented Interfaces:
  IoFactory

    public class DefaultIoFactory

extends java.lang.Object
implements IoFactory

Constructor Summary
`DefaultIoFactory()`

Method Summary
`java.io.BufferedInputStream` | `createBufferedInputStream(java.io.File file)`
`java.io.BufferedOutputStream` | `createBufferedOutputStream(java.io.File file)`
`java.io.BufferedReader` | `createBufferedReader(java.io.File file)`
`java.io.BufferedWriter` | `createBufferedWriter(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultIoFactory

    public DefaultIoFactory()

Method Detail

### createBufferedReader

    public java.io.BufferedReader createBufferedReader(java.io.File file)
                                                throws java.io.IOException

  Specified by:
    `createBufferedReader` in interface `IoFactory`
  Throws:
    `java.io.IOException`

### createBufferedWriter

    public java.io.BufferedWriter createBufferedWriter(java.io.File file)
                                                throws java.io.IOException

  Specified by:
    `createBufferedWriter` in interface `IoFactory`
  Throws:
    `java.io.IOException`

### createBufferedInputStream

    public java.io.BufferedInputStream createBufferedInputStream(java.io.File file)
                                                          throws java.io.IOException

  Specified by:
    `createBufferedInputStream` in interface `IoFactory`
  Throws:
    `java.io.IOException`

### createBufferedOutputStream

    public java.io.BufferedOutputStream createBufferedOutputStream(java.io.File file)
                                                            throws java.io.IOException

  Specified by:
    `createBufferedOutputStream` in interface `IoFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD